--[[-------------------------------------------------------------------------
  Trond A Ekseth grants anyone the right to use this work for any purpose,
  without any conditions, unless such conditions are required by law.
---------------------------------------------------------------------------]]

--[[ 

	Updated by Martin Karer / Sezz, 2008-2010
	
	------------------------------
	
	Changelog:
	2010-01-08:
		[+] Disenchant Button
		
--]]

local func = function()
	local _iWidth = 240
	local _iHeight = 26
	
	local frmLoot = CreateFrame("Frame")
	frmLoot:Hide()
	frmLoot:SetParent(UIParent)
	frmLoot:SetWidth(_iWidth)
	frmLoot:SetHeight(_iHeight)
	frmLoot:SetFrameStrata("DIALOG")
	frmLoot.BackdropQualityColor = true
	sCore:ApplyBackdrop(frmLoot)
	
	-- Background
	local frmBG = frmLoot:CreateTexture(nil, "ARTWORK")
	frmBG:ClearAllPoints()
	frmBG:SetPoint("LEFT", _iHeight + 2, 0)
	frmBG:SetPoint("RIGHT")
	frmBG:SetPoint("BOTTOM")
	frmBG:SetPoint("TOP")
	frmBG:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
	frmBG:SetVertexColor(0.15, 0.15, 0.15, 1)
	
	-- Button: Pass
	local btnPass = CreateFrame("Button", nil, frmLoot, "UIPanelCloseButton")
	btnPass:SetHeight(28)
	btnPass:SetWidth(28)
	btnPass:ClearAllPoints()
	btnPass:SetPoint("RIGHT", frmLoot, "RIGHT")
	frmLoot.Pass = btnPass

	-- Button: Disenchant
	local btnDisenchant = CreateFrame("Button", nil, frmLoot)
	btnDisenchant:SetHeight(22)
	btnDisenchant:SetWidth(22)
	btnDisenchant:ClearAllPoints()
	btnDisenchant:SetPoint("RIGHT", btnPass, "LEFT", -1, -1)
	btnDisenchant:SetNormalTexture"Interface\\Buttons\\UI-GroupLoot-DE-Up"
	btnDisenchant:SetHighlightTexture"Interface\\Buttons\\UI-GroupLoot-DE-Highlight"
	btnDisenchant:SetPushedTexture"Interface\\Buttons\\UI-GroupLoot-DE-Down"
	frmLoot.Disenchant = btnDisenchant

	-- Button: Greed
	local btnGreed = CreateFrame("Button", nil, frmLoot)
	btnGreed:SetHeight(22)
	btnGreed:SetWidth(22)
	btnGreed:ClearAllPoints()
	btnGreed:SetPoint("RIGHT", btnDisenchant, "LEFT", -1, -1)
	btnGreed:SetNormalTexture"Interface\\Buttons\\UI-GroupLoot-Coin-Up"
	btnGreed:SetHighlightTexture"Interface\\Buttons\\UI-GroupLoot-Coin-Highlight"
	btnGreed:SetPushedTexture"Interface\\Buttons\\UI-GroupLoot-Coin-Down"
	frmLoot.Greed = btnGreed

	-- Button: Need
	local btnNeed = CreateFrame("Button", nil, frmLoot)
	btnNeed:SetHeight(22)
	btnNeed:SetWidth(22)
	btnNeed:ClearAllPoints()
	btnNeed:SetPoint("RIGHT", btnGreed, "LEFT", -1, 0)
	btnNeed:SetNormalTexture"Interface\\Buttons\\UI-GroupLoot-Dice-Up"
	btnNeed:SetHighlightTexture"Interface\\Buttons\\UI-GroupLoot-Dice-Highlight"
	btnNeed:SetPushedTexture"Interface\\Buttons\\UI-GroupLoot-Dice-Down"
	frmLoot.Need = btnNeed

	-- Icon
	local frmIcon = CreateFrame("Button", nil, frmLoot)
	frmIcon:SetHeight(_iHeight)
	frmIcon:SetWidth(_iHeight)
	frmIcon.hasItem = 1
	frmIcon:ClearAllPoints()
	frmIcon:SetPoint("LEFT", 0, 0)
	frmLoot.IconHover = frmIcon

	local txrIcon = frmIcon:CreateTexture(nil, "ARTWORK")
	txrIcon:SetAllPoints(frmIcon)
	txrIcon:SetTexCoord(.07,.93,.07,.93)
	frmLoot.Icon = txrIcon

	-- Item Name
	local txtName = frmLoot:CreateFontString(nil, nil, "GameFontNormalSmall")
	txtName:SetHeight(16)
	txtName:SetWidth(frmLoot:GetWidth() - frmIcon:GetWidth() - 2 - btnNeed:GetWidth() - 1 - btnGreed:GetWidth() - 1 - btnDisenchant:GetWidth() - 1 - btnPass:GetWidth() - 8)
	txtName:SetTextColor(1, 1, 1)
	txtName:SetShadowOffset(.8, -.8)
	txtName:SetShadowColor(0, 0, 0, 1)
	txtName:SetJustifyH("LEFT")
	txtName:ClearAllPoints()
	txtName:SetPoint("LEFT", frmIcon, "RIGHT", 6, 2)
	frmLoot.Item = txtName

	-- Countdown
	local barCountDown = CreateFrame("StatusBar", nil, frmLoot)
	barCountDown:SetHeight(3)
	barCountDown:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
	barCountDown:ClearAllPoints()
	barCountDown:SetPoint("BOTTOM", txtName, 0, -2)
	barCountDown:SetPoint("LEFT", txtName, 0, 0)
	barCountDown:SetPoint("RIGHT", txtName, 0, 0)
	frmLoot.Timer = barCountDown

	local txrCountDownBG = barCountDown:CreateTexture(nil, "BACKGROUND")
	txrCountDownBG:SetTexture(1, 1, 1, .3)
	txrCountDownBG:SetAllPoints(barCountDown)

	-- EOF
	return frmLoot
end

-- Register & Activate Style
Maneki:RegisterStyle("Glass", func)
Maneki:SetActiveStyle("Glass")
